# Each page blueprint must have a title, the title may be different from the file name
# This default blueprint is used to display a page in the Panel whenever a custom page blueprint is missing.
title: Tag

# Each page can have an icon that is shown in page listings when no preview image is available.
icon: 📝

# Page presets are a quick way to set up a standard page layout
# More about page presets:
# - https://getkirby.com/docs/guide/blueprints/presets and
# - https://getkirby.com/docs/reference/panel/presets/page
# preset: page

# Custom descriptions of page statuses depending on use case
# More about page statuses: https://getkirby.com/docs/reference/panel/blueprints/page#statuses
status:
  draft: true
  unlisted:
    label: Hidden Page
    text: The page is not listed in the main menu
  listed:
    label: Menu Page
    text: The page is listed in the main menu

# A page preset can have a freely defined set of fields
# List of all available field types: https://getkirby.com/docs/reference/panel/fields

columns:
  - width: 1/2
    fields:
      titlefisrt:
        label: Titre desktop
        type: textarea
        width: 1/2
        buttons: false
      titleTwo:
        label: Titre mobile
        type: textarea
        width: 1/2
        buttons: false
      categories:
        label: Tags
        type: tags
        options:
          type: query
          query: site.index.files.pluck("categories", ",")
      cover:
        layout: cardlets
        label: Image de couverture de la page
        type: files
        required: true
        max: 1

  - width: 1/2
    fields:
      gallery:
        label: Galerie
        type: layout
        layouts:
          - "1/1"
          - "1/2, 1/2"
        fieldsets:
          customImage:
            icon: image
            name: Image
            fields:
              media:
                type: files
                multiple: false
                layout: cards
                template: image
              size:
                label: Taille
                type: select
                options:
                  fullcover: Fullcover
                  fullcontain: Fullcontain
                  medium: Medium
                  small: Small
          customVideo:
            icon: video
            name: Vidéo
            fields:
              video:
                label: ID Vimeo
                type: textarea
              size:
                label: Taille
                type: select
                options:
                  fullcover: Fullcover
                  medium: Medium
                  small: Small

          text:
            icon: text
            name: Texte
            fields:
              text:
                type: textarea
          slideshow:
            icon: images
            name: Slideshow
            fields:
              slideshow:
                type: files
